GpgFrontend::UI::GpgFrontendApplication Class Reference
Inheritance diagram for GpgFrontend::UI::GpgFrontendApplication:
Collaboration diagram for GpgFrontend::UI::GpgFrontendApplication:

## Public Member Functions

| GpgFrontendApplication (int &argc, char *argv[])
| Construct a new GpgFrontend Application object. More...
| ~GpgFrontendApplication () override=default
| Destroy the GpgFrontend Application object. More...

## Static Public Member Functions

static GpgFrontendApplication * | GetInstance (int argc=0, char *argv[]=nullptr, bool new_instance=false)
| Get the GpgFrontend Application object. More...

## Protected Member Functions

bool | notify (QObject *receiver, QEvent *event) override

## Constructor & Destructor Documentation

## GpgFrontendApplication()

GpgFrontend::UI::GpgFrontendApplication::GpgFrontendApplication | ( | int & | argc,
|  | char * | argv[]
| ) |  |

explicit

Construct a new GpgFrontend Application object.

Parameters

  argc |
  argv |

Referenced by GetInstance().

## ~GpgFrontendApplication()

GpgFrontend::UI::GpgFrontendApplication::~GpgFrontendApplication | ( |  | ) |

overridedefault

Destroy the GpgFrontend Application object.

## Member Function Documentation

## GetInstance()

GpgFrontendApplication * GpgFrontend::UI::GpgFrontendApplication::GetInstance | ( | int | argc = `0`,
|  | char * | argv[] = `nullptr`,
|  | bool | new_instance = `false`
| ) |  |

static

Get the GpgFrontend Application object.

Returns
  GpgFrontendApplication*

References GpgFrontendApplication().

## notify()

bool GpgFrontend::UI::GpgFrontendApplication::notify | ( | QObject * | receiver,
|  | QEvent * | event
| ) |  |

overrideprotected

Parameters

  event |

Returns
  bool

The documentation for this class was generated from the following files:

- src/ui/GpgFrontendApplication.h
- src/ui/GpgFrontendApplication.cpp